import { useContext } from 'react';
import { ManageWalletContext } from './ManageWalletHistoryContext';

const useManageWalletContext = () => {
  const context = useContext(ManageWalletContext);
  if (!context) {
    throw new Error('useManageWalletContext must be used within a ManageWalletContextProvider');
  }
  return context;
};

export { useManageWalletContext };
